use crate::entity::la_article;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ArticleListItem {
    pub id: u32,
    pub title: String,
    pub image: Option<String>,
    pub intro: Option<String>,
    pub visit: u32,
    pub collect: bool,
    pub create_time: String,
}

#[derive(Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ArticleDetail {
    pub id: u32,
    pub cid: Option<u32>,
    pub category: Option<String>,
    pub title: String,
    pub intro: Option<String>,
    pub summary: Option<String>,
    pub image: Option<String>,
    pub content: Option<String>,
    pub author: String,
    pub visit: u32,
    pub sort: u32,
    pub is_collect: u32,
    pub create_time: String,
    pub update_time: Option<String>,
    pub prev: Option<SiblingArticle>,
    pub next: Option<SiblingArticle>,
}

#[derive(Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct SiblingArticle {
    pub id: u32,
    pub title: String,
}
