use axum::http::StatusCode;
use serde::{Deserialize, Serialize};

#[derive(Deserialize, Serialize)]
#[serde(rename_all = "camelCase")]
pub struct BaseResponse<T: Serialize> {
    pub code: u16,
    pub message: String,
    pub data: T,
}

#[derive(Deserialize, Serialize)]
#[serde(rename_all = "camelCase")]
pub struct PageResponse<T: Serialize> {
    pub page_no: u64,
    pub page_size: u64,
    pub count: u64,
    pub lists: Vec<T>,
}
