use crate::handler::article::{article_detail, article_list};
use crate::state::app::AppState;
use axum::routing::{get, IntoMakeService};
use axum::{Router, ServiceExt};
use std::sync::Arc;
use tower_http::services::ServeDir;

pub fn create_routes(app_state: Arc<AppState>) -> IntoMakeService<Router> {
    Router::new()
        .nest(
            "/api",
            Router::new()
                .nest_service("/uploads",ServeDir::new(&app_state.upload_path))
                .nest("/article", Router::new().route("/list", get(article_list)))
                .nest(
                    "/pc",
                    Router::new().route("/articleDetail", get(article_detail)),
                ),
        )
        .with_state(app_state)
        .into_make_service()
}
